/* eslint-env jest */
import React from 'react';
import { mount, render } from 'enzyme';
import FullScreenView from './index';

describe('Screens/Configurator/Components/FullScreenView', () => {
    it('renders correctly', () => {
        const tree = render(<FullScreenView />);
        expect(tree).toMatchSnapshot();
    });

    it('the rendered component contains the custom-css-views and custom-css-preview-button classes', () => {
        const wrapper = mount(
            <FullScreenView
                showDesignViewList={true}
                showPreviewButton={true}
                ThumbnailComponent={() => null}
            />
        );
        expect(wrapper.find('div.custom-css-views')).toHaveLength(1);
        expect(wrapper.find('button.custom-css-preview-button')).toHaveLength(1);
    });
});
